﻿using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StartServerWPF.Models
{
    public class DataProModelArray : BindableBase
    {
        private List<DataProModel> dataProModels1;

        public int selectIndex { get; set; }
        public List<DataProModel> DataProModels { get => dataProModels1; set => dataProModels1 = value; }
    }

    public class DataProModel: BindableBase
    {
        private string name;
        private string dataPath;
        private string resultPath;
        private DateTime startTime;
        private DateTime endTime;

        public string Name { get => name; set => SetProperty(ref name, value); }

        public string DataPath { get => dataPath; set => SetProperty(ref dataPath, value); }

        public string ResultPath { get => resultPath; set => SetProperty(ref resultPath, value); }

        public DateTime StartTime { get => startTime; set => SetProperty(ref startTime, value); }

        public DateTime EndTime { get => endTime; set => SetProperty(ref endTime, value); }
    }
}
